<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: specimen -->
    <dl class="dl-horizontal">
        <s:decorate template="/layout/display/_data_list_item.xhtml"
                    rendered="#{managedBean.isOptionSupported('LAW_SPECIMEN') and specimen.placerAssignedIdentifier != null}">
            <ui:define name="label">#{messages['gazelle.ordermanager.PlacerAssignedIdentifier']}</ui:define>
            <h:outputText value="#{specimen.placerAssignedIdentifier}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml"
                    rendered="#{managedBean.isOptionSupported('LAW_SPECIMEN') and specimen.fillerAssignedIdentifier != null}">
            <ui:define name="label">#{messages['gazelle.ordermanager.FillerAssignedIdentifier']}</ui:define>
            <h:outputText value="#{specimen.fillerAssignedIdentifier}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenType']}</ui:define>
            <h:outputText value="#{valueSet.getDisplayNameForCode('specimenType', specimen.type)}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenRole']}</ui:define>
            <h:outputText value="#{valueSet.getDisplayNameForCode('specimenRole', specimen.role)}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml"
                    rendered="#{managedBean.isOptionSupported('LAW_POOL_NONAN') and specimen.containers != null}">
            <ui:define name="label">#{messages['gazelle.ordermanager.GroupedSpecimenCount']}</ui:define>
            <h:outputText value="#{specimen.groupedSpecimenCount}"/>
        </s:decorate>
    </dl>
</ui:composition>
